from fastapi import APIRouter, Depends, HTTPException
from sqlalchemy.orm import Session
from app.api.core.dependencies import get_db

router = APIRouter()

@router.get('/posts/')
def read_posts(db: Session = Depends(get_db)):
    return {'message': 'Read posts'}
